jcmeller Absent Member.
Absent Member.
2627 views

One or more pre-requisite updates failed to install

I've just recently updated to 10.1.2a and have a few machines who refuse to update with the following error given:

One or more pre-requisite updates failed to install to this device. Ensure all pre-requisite updates have been applied successfully and try again.

All agents on the workstation are at 10.1.0.0 and all updates have baselined except of course 10.1.2a. I've tried to reapply the 10.1.2a update several times with the same outcome. TID 7000785 doesn't give any further advise on how to solve this problem. Has anyone else seen this problem?
Labels (2)
0 Likes
5 Replies
Anonymous_User Absent Member.
Absent Member.

Re: One or more pre-requisite updates failed to install

The 10.1.2a Upgrate Requires the 10.1.1 Agent.
It is NOT cumulative from 10.1.1.

Novell hopes that future Client upgrades will be cumulative, but that is not
currently the case.

--
Craig Wilson - MCNE, MCSE, CCNA
Novell Support Forums Volunteer Sysop

Novell does not officially monitor these forums.

Suggestions/Opinions/Statements made by me are solely my own.
These thoughts may not be shared by either Novell or any rational human.

"jcmeller" <jcmeller@no-mx.forums.novell.com> wrote in message
news:jcmeller.3kh0lz@no-mx.forums.novell.com...
>
> I've just recently updated to 10.1.2a and have a few machines who refuse
> to update with the following error given:
>
> One or more pre-requisite updates failed to install to this device.
> Ensure all pre-requisite updates have been applied successfully and try
> again.
>
> All agents on the workstation are at 10.1.0.0 and all updates have
> baselined except of course 10.1.2a. I've tried to reapply the 10.1.2a
> update several times with the same outcome. TID 7000785 doesn't give
> any further advise on how to solve this problem. Has anyone else seen
> this problem?
>
>
> --
> jcmeller
> ------------------------------------------------------------------------
> jcmeller's Profile: http://forums.novell.com/member.php?userid=7848
> View this thread: http://forums.novell.com/showthread.php?t=354309
>



0 Likes
jcmeller Absent Member.
Absent Member.

Re: One or more pre-requisite updates failed to install

So, how do I fix the current problem? I would rather not re-image all the workstations when ZCM's update process fails. The 10.1.1 update is baselined and I can't redeploy it from the menu.
0 Likes
macdonb Absent Member.
Absent Member.

Re: One or more pre-requisite updates failed to install

Just to add my 5 cents worth - I have the same problem in one of my ZCM zones...

:cool:Bronwyn
0 Likes
macdonb Absent Member.
Absent Member.

Re: One or more pre-requisite updates failed to install

May not be 100% accurate with 10.1.1, but TID 7000785 refers to a similar problem with the 10.0.32 update. It suggests:


In the case of the false prerequisites error, the zmd-messages.log contained information:

[DEBUG] [6/27/2008 11:45:16 AM] [] [ConnectMan] [] [ Exception causing
location name 192.168.0.7 to be marked Bad: System.Net.WebException: Unable to
connect to the remote server ---> System.Net.Sockets.SocketException: No
connection could be made because the target machine actively refused it
at System.Net.Sockets.Socket.DoConnect(EndPoint endPointSnapshot,
SocketAddress socketAddress)


If the server cannot be contacted, then no update would be applied. There is a known issue with the system update that some errors are
incorrectly masked by the prerequisites failed message.


When the update server can be contacted, look for the following for additional logging:

In %zenworks_home%\work\system-update:

updates-completed (containing the guid of the su)
updates-inprogress

and

%zenworks_home%\logs\system-update\<guid_number>:

*.log
system-update.log

:cool:Bronwyn
0 Likes
AprilFinka Absent Member.
Absent Member.

Re: One or more pre-requisite updates failed to install

i am getting the same error and all my workstations are already on 10.1.1.
0 Likes
The opinions expressed above are the personal opinions of the authors, not of Micro Focus. By using this site, you accept the Terms of Use and Rules of Participation. Certain versions of content ("Material") accessible here may contain branding from Hewlett-Packard Company (now HP Inc.) and Hewlett Packard Enterprise Company. As of September 1, 2017, the Material is now offered by Micro Focus, a separately owned and operated company. Any reference to the HP and Hewlett Packard Enterprise/HPE marks is historical in nature, and the HP and Hewlett Packard Enterprise/HPE marks are the property of their respective owners.